#include "LogMessage.h"

std::string LogMessage::getTimeStr() {
	std::time_t now = std::chrono::system_clock::to_time_t(std::chrono::system_clock::now());

	std::string s(30, '\0');
	std::strftime(&s[0], s.size(), "%Y-%m-%d %H:%M:%S", std::localtime(&now));
	return s;
}


void LogMessage::log(std::string str)
{
	std::fstream fs;
	fs.open("log.txt", std::fstream::in | std::fstream::out | std::fstream::app);
	fs.seekg(0, fs.end);
	int length = fs.tellg();
	if (length > 100000)
	{
		fs.close();
		fs.open("log.txt", std::fstream::in | std::fstream::out | std::fstream::trunc);
	}
	if (str != "Starting new hydro simulation")
	{
		fs << getTimeStr() << str << "\n";
	}
	else
	{
		fs <<"\n\n"<< getTimeStr() << str << "\n";
	}
	fs.close();
}

